Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdistmulti
Class ContinuousDistributionMulti

    java.lang.Object
      umontreal.iro.lecuyer.probdistmulti.ContinuousDistributionMulti

Direct Known Subclasses:
  ContinuousDistribution2Dim, DirichletDist, MultiNormalDist

    public abstract class ContinuousDistributionMulti

extends Object

Classes implementing continuous multi-dimensional distributions should inherit from this class. Such distributions are characterized by a density function f (x1, x2,…, xd); thus the signature of a `density` method is supplied here. All array indices start at 0.

Constructor Summary
`ContinuousDistributionMulti()`

Method Summary
`abstract double` | `density(double[] x)` Returns f (x1, x2,…, xd), the probability density of X evaluated at the point x, where x = {x1, x2,…, xd}.
`abstract double[][]` | `getCorrelation()` Returns the correlation matrix of the distribution, defined as ρij = σij/(σ_iiσ_jj)1/2.
`abstract double[][]` | `getCovariance()` Returns the variance-covariance matrix of the distribution, defined as σij = E[(Xi - μi)(Xj - μj)].
`int` | `getDimension()` Returns the dimension d of the distribution.
`abstract double[]` | `getMean()` Returns the mean vector of the distribution, defined as μi = E[Xi].

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinuousDistributionMulti

    public ContinuousDistributionMulti()

Method Detail

### density

    public abstract double density(double[] x)

  Returns f (x1, x2,…, xd), the probability density of X evaluated at the point x, where x = {x1, x2,…, xd}. The convention is that x[i - 1] = xi.

  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### getDimension

    public int getDimension()

  Returns the dimension d of the distribution.

### getMean

    public abstract double[] getMean()

  Returns the mean vector of the distribution, defined as μi = E[Xi].

### getCovariance

    public abstract double[][] getCovariance()

  Returns the variance-covariance matrix of the distribution, defined as
  σij = E[(Xi - μi)(Xj - μj)].

### getCorrelation

    public abstract double[][] getCorrelation()

  Returns the correlation matrix of the distribution, defined as ρij = σij/(σ_iiσ_jj)1/2.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.